Subject: Re: bug#21413: Top of buffer hidden when toolbar hidden and frame height is large

From: Devon Buchanan <[email-masked]>
Date: Sat, 05 Sep 2015 11:10:30 +0100

On Fri, Sep 04 2015, martin rudalics wrote:
>  > Here are the steps to reproduce the problem using the NS 
>  > build of emacs on OS X 10.10.4.
>  >
>  > cat >> test-init.el <<EOF (tool-bar-mode -1) (setq 
>  > default-frame-alist '((height . 100))) EOF open -a Emacs.app 
>  > --args -Q -l ~/test-init.el
>  >
>  > This opens a graphical emacs frame showing the *scratch* 
>  > buffer. Neither the cursor is visible, nor is the text 
>  > normally shown in the *scratch* buffer. Scrolling up will not 
>  > make either of these visible. C-x C-f <some file name> RET 
>  > will display the contents of that buffer with some or all of 
>  > the lines at the start hidden.
>  >
>  > The hidden sections of the buffer can be made visible by 
>  > clicking and dragging on any edge of the window and resizing 
>  > it.
>
>  > * Expected behaviour
>  >
>  > When I set the frame size to be taller than the screen will 
>  > allow, I expect the frame to occupy as much vertical space as 
>  > possible without the top of the buffer being hidden. This is 
>  > the behaviour seen when tool-bar-mode is on.
>
> This is probably beyond Emacs' control.  I suppose that your 
> window manager normally tries to assure that the tool bar is 
> visible.  When there's no tool bar it simply puts the frame 
> somwhere if it's taller than your screen.
>
> What happpens when you also explicitly put the top left edge at 
> some visible position like with
>
> (setq default-frame-alist '((top . 5) (left . 5) (height . 
> 100)))
>
> martin

The below produces the same behaviour described previously.

cat >> test-init.el <<EOF (tool-bar-mode -1) (setq 
default-frame-alist '((top .5) (left .5) (height . 100))) EOF open 
-a Emacs.app --args -Q -l ~/test-init.el

In both the first example I gave, and this latest one the title bar and
all other edges of the frame are is visible on the screen. It does not
appear like my window manager has drawn a large window and put part of
it off the screen. The frame appears as if the top part of it was drawn
in the invisible area above the title bar.